%define name	mp1e
%define version	1.9.3
%define release	2mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Real Time Software MPEG-1 Video/Audio Encoder
License: GPL
Group: Video
Source: http://www.ibiblio.org/pub/Linux/apps/sound/convert/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
URL: http://webcys.diads.com/mschimek/pm2/
BuildRequires: libalsa-devel libesound-devel libaudiofile-devel
Source1: mp1e-patch9.tar.bz2

%description
Real Time Software MPEG-1 Video/Audio Encoder.

%prep
%setup -q
bzcat %SOURCE1 |tar xf - 
patch -p0 <aiw.patch

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc ChangeLog README BUGS README-aiw AUTHORS COPYING INSTALL
%{_bindir}/%name
%{_mandir}/man1/*

%changelog
* Wed Sep 10 2003 Austin Acton <aacton@yorku.ca> 1.9.3-2mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - patch for better handling with km (Nikolai Zhubr)
  - more docs

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 1.9.3-1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - initial Mandrake release
- add URL, add buildrequires, fix group, parallel make
